Bug 863155 - SELinux prevents swat/net/winbindd from writing to /var/nmbd/unexpected socket
Summary: SELinux prevents swat/net/winbindd from writing to /var/nmbd/unexpected socket
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy
Version: 5.9
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Miroslav Grepl
QA Contact: Milos Malik
URL:
Whiteboard:
Depends On:
Blocks: 5.9BaseOSQEissues
TreeView+ depends on / blocked
 
Reported: 2012-10-04 14:34 UTC by Ales Zelinka
Modified: 2013-01-08 03:34 UTC (History)
4 users (show)

Fixed In Version: selinux-policy-2.4.6-338.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-08 03:34:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0060 normal SHIPPED_LIVE selinux-policy bug fix and enhancement update 2013-01-08 08:27:19 UTC

Description Ales Zelinka 2012-10-04 14:34:56 UTC
time->Mon Oct  1 15:12:46 2012
type=SYSCALL msg=audit(1349118766.731:98): arch=c000003e syscall=42 success=no exit=-111 a0=9 a1=2b2b43fffce8 a2=6e a3=0 items=0 ppid=20814 pid=20942 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="swat" exe="/usr/sbin/swat" subj=root:system_r:swat_t:s0-s0:c0.c1023 key=(null)
type=AVC msg=audit(1349118766.731:98): avc:  denied  { write } for  pid=20942 comm="swat" name="unexpected" dev=dm-0 ino=48169025 scontext=root:system_r:swat_t:s0-s0:c0.c1023 tcontext=root:object_r:samba_var_t:s0 tclass=sock_file

Version-Release number of selected component (if applicable):
selinux-policy-targeted-2.4.6-336.el5.noarch
samba3x-3.6.6-0.126.el5

Comment 4 Ales Zelinka 2012-10-04 14:46:49 UTC
and winbind:

time->Mon Oct  1 15:25:52 2012
type=SYSCALL msg=audit(1349119552.260:112): arch=40000003 syscall=102 success=yes exit=0 a0=3 a1=bfff1830 a2=df3ff4 a3=a749910 items=0 ppid=19851 pid=19854 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="winbindd" exe="/usr/sbin/winbindd" subj=root:system_r:winbind_t:s0 key=(null)
type=AVC msg=audit(1349119552.260:112): avc:  denied  { connectto } for  pid=19854 comm="winbindd" path="/var/nmbd/unexpected" scontext=root:system_r:winbind_t:s0 tcontext=root:system_r:nmbd_t:s0 tclass=unix_stream_socket
type=AVC msg=audit(1349119552.260:112): avc:  denied  { write } for  pid=19854 comm="winbindd" name="unexpected" dev=dm-0 ino=326184 scontext=root:system_r:winbind_t:s0 tcontext=root:object_r:samba_var_t:s0 tclass=sock_file

Comment 6 Miroslav Grepl 2012-10-11 12:13:03 UTC
Fixed in selinux-policy-2.4.6-338.el5

Comment 10 errata-xmlrpc 2013-01-08 03:34:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0060.html


Note You need to log in before you can comment on or make changes to this bug.